#include "Highscore.h"

#include <vector>
#include "core/CoreIncludes.h"
#include "core/config/ConfigValueIncludes.h"


namespace orxonox
{

	RegisterClassNoArgs(Highscore);

	Highscore::Highscore()
    {
        RegisterObject(Highscore);
        this->setConfigValues();
    }

    void Highscore::setConfigValues()
    {
       
		SetConfigValue(name_, "Orxonox").description("The name of the game");
    }

    /* static */ std::string Highscore::getName(){
        std::string result;
        result = Highscore::name_;
        return result;
    }
}
