

#include <string>
#include "core/config/Configurable.h"

namespace orxonox
{
class _CoreExport HighscoreIO : virtual public Configurable
{
    public:
        HighscoreIO();              // Constructor
        void setConfigValues(); // Inherited function
        void storeHighscore(std::string player, std::string level, int points);

		const std::string& getName()
            { return this->name_; }

    private:
        std::string name_;
        float version_;
};


}