

#include <string>
#include "core/config/Configurable.h"

namespace orxonox
{
class _CoreExport Highscore : virtual public Configurable
{
    public:
        Highscore();              // Constructor
        void setConfigValues(); // Inherited function
        void storeHighscore(std::string player, std::string level, int points);

		static std::string getName(); // tolua_export
           

    private:
        std::string name_;
        float version_;
};


}